Ubuntu

YouTube videos play red

Reported by Paddy Landau on 2011-03-04
324
This bug affects 66 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: flashplugin-nonfree

After the recent updates, most (but not all) YouTube videos play with a red colour. It seems as though the cyan filter is double size, and the green filter is absent. The videos are not watchable.

Many people are getting this problem. It occurs in both Firefox and Chromium. It affects people with the standard Ubuntu repositories as well as those with updated Adobe Flash.

This has been discussed at length in the Ubuntu forums. The main thread:
http://ubuntuforums.org/showthread.php?t=1698956

A reliable workaround has been found: disable hardware acceleration:
http://ubuntuforums.org/showthread.php?p=10520930#post10520930

This seems to be a problem with Adobe Flash.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: flashplugin-nonfree 10.2.152.27ubuntu0.10.04.1
ProcVersionSignature: Ubuntu 2.6.32-29.58-generic 2.6.32.28+drm33.13
Uname: Linux 2.6.32-29-generic x86_64
Architecture: amd64
CheckboxSubmission: 5bf569339afeaacf6d8dcc180d0a06f0
CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
Date: Fri Mar 4 19:52:47 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: flashplugin-nonfree

Paddy Landau (paddy-landau) wrote :
komputes (komputes) wrote :

I have reported this bug to Adobe:
https://bugs.adobe.com/jira/browse/FP-6327

Andreas Drefke (a-drefke) wrote :

Kubuntu 10.10 64bit German is affected too since the last updates

Jani Uusitalo (uusijani) on 2011-03-05
Changed in flashplugin-nonfree (Ubuntu):
status: New → Confirmed
Jani Uusitalo (uusijani) wrote :

I think the bug manifests itself differently depending on the underlying graphics hardware: I've heard a report about the colors being wrong on an Intel platform, whereas on my Radeon trying to play YouTube videos since Friday resulted in my LCD going to power saving mode and not waking up anymore.

Disabling hardware acceleration solved both issues.

Lorenzo De Liso (blackz) on 2011-03-06
Changed in flashplugin-nonfree (Ubuntu):
importance: Undecided → High
Ben Andersen (ben72) wrote :

Interestingly enough it's only on the youtube site, if I take the embedding code and put on a local html-page or post it on another site the colors are normal.

Disabling hardware acceleration worked for me too. The settings on the youtube site is disabled though so I had to go to some other flash content to enter the settings.

Samy Ateia (samyateia) wrote :

This bug doesn't just play you-tube videos with red Color it basically crashes my graphics card (Radeon 4780) so that it fires up the fan and my displays turn black and display blinking stripes in the lower part of the screen.

Sergio (sergio-otero) wrote :

Ubuntu 10.10, ATI Radeon HD 3650 also gets red/pink
It can be solved disabling youtube cookies

Sergio (sergio-otero) wrote :

Also, clicking full screen works only sometimes. When it doesn't work, i can see the play controls, but there's no video

francesco bat (nerobat2004) wrote :

Hello !
I want to point out one thing:
i have same problem on Ubuntu 10.04, but the problem is just in an user in my pc; the others users works well !
In the user with the problem with icewm, the videos are red on youtube with Opera and Firefox; with Arora it's all right.
All this is very strange !
In the others users with Gnome all right at all !
Bye
Francesco bat

francesco bat (nerobat2004) wrote :

Boys i solveeeeeeeeed !!!
The question is compiz !
I had an user with gnome too with desktop effects deactivated and same problem.
I have activated compiz on desktop (effects) and the the problem is disappear.
Now youtube all right and no more red.
Byeeeeeeeee
Francesco bat

EricDHH (ericdhh) wrote :

Have this on ubuntu netbook 10.10 (unity) that enforce compiz, so there is no solution for me? One of the following updated packages causes this bug, before 7.3.2011 everything was okay. The videos appears in pink / magente colors.

-rw-r--r-- 1 root root 11382060 2011-03-07 21:05 firefox_3.6.15+build1+nobinonly-0ubuntu0.10.10.1_i386.deb
-rw-r--r-- 1 root root 210686 2011-03-07 21:05 firefox-branding_3.6.15+build1+nobinonly-0ubuntu0.10.10.1_i386.deb
-rw-r--r-- 1 root root 83802 2011-03-07 21:05 firefox-gnome-support_3.6.15+build1+nobinonly-0ubuntu0.10.10.1_i386.deb
-rw-r--r-- 1 root root 9401322 2011-03-07 21:05 xulrunner-1.9.2_1.9.2.15+build1+nobinonly-0ubuntu0.10.10.1_i386.deb
-rw-r--r-- 1 root root 136542 2011-03-07 16:12 libtiff4_3.9.4-2ubuntu0.1_i386.deb
-rw-r--r-- 1 root root 232342 2011-03-07 16:12 libtiff-tools_3.9.4-2ubuntu0.1_i386.deb
-rw-r--r-- 1 root root 50612 2011-03-07 16:12 avahi-autoipd_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 63332 2011-03-07 16:12 avahi-daemon_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 26014 2011-03-07 16:12 avahi-utils_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 54266 2011-03-07 16:12 libavahi-client3_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 23100 2011-03-07 16:12 libavahi-common3_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 35002 2011-03-07 16:12 libavahi-common-data_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 114872 2011-03-07 16:12 libavahi-core7_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 35186 2011-03-07 16:12 libavahi-glib1_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 17572 2011-03-07 16:12 libavahi-gobject0_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 35294 2011-03-07 16:12 libavahi-qt4-1_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 21350 2011-03-07 16:12 libavahi-ui0_0.6.27-2ubuntu3.1_i386.deb
-rw-r--r-- 1 root root 35818 2011-03-07 16:11 python-avahi_0.6.27-2ubuntu3.1_all.deb

Niklas Park (niklas-park) wrote :

I'm running Compiz, YouTube is pink.

Niklas Park (niklas-park) wrote :

I tested something else, and very simple.
I manually deleted all YouTube Cookies from FF. It worked for the first video I tried after this, but the next video was pink again. Ergo: It has something to do with Youtubes' cookies.

The new cookies being written are:
( at the domain youtube.com)

PREF
GEO
recently_watched_video_id_list
VISITOR_INFO1_LIVE
use_hitbox

And at S2.youtube.com
PREF

Maybe this may be of some assistance to someone more knowledgeable than I.
There ought to be a better solution than blocking all YT cookies.

Tried it again.
Yup.
Deleting YT cookies does it, no restart needed. Try it for yourselves. Second video = New cookies = pink video.

Maybe it is YouTube who should be alerted, instead of Adobe.

Ubuntu 10.10
Radeon X1600
Flash 10.3 beta

Niklas Park (niklas-park) wrote :

I know my comments are pretty much covered by #7, Sergio, above. Just thought I expand on that. There are not many cookies involved, but one of them does something that "pinkifies" Flash video embedded on the main YouTube interface, but not externally linked or popped out video.
Plus. It obviously affects more than one version of the Flash plugin.

What is needed right now is someone who understands Youtube cookies. I don't. At least not good enough. Disabling cookies is not a viable solution.

Expecting everyone and their grandmother to disable cookies / turn off HW acceleration / use popout / use Minitube is not a good solution. Casual users are more likely to just diss Ubuntu.

How do you communicate more directly with YouTube devs? Their help forums seems to be mostly about users helping users. How do you file a formal bug report?

YenTheFirst (yenthefirst) wrote :

Niklas: this thread (http://ubuntuforums.org/showthread.php?t=1698956) also discovered the cookie issue.
Apparently, the cookie PREF, with a value of 'fv=<some version of flash>' is at fault. if you prevent this cookie from being set, or manually set it to an older version of flash and prevent it from being overwritten, the videos will play normally.

The speculation is that youtube uses the value of this cookie to determine what format stream to send out, Perhaps youtube is supporting some new feature in 10.2, which doesn't work correctly on Ubuntu. So, if you tell youtube to send the stream for an older version (even if you have 10.2), it works correctly. That's the speculation, at least

Paddy Landau (paddy-landau) wrote :

@Niklas Park: "Expecting everyone and their grandmother to disable cookies / turn off HW acceleration / use popout / use Minitube is not a good solution."

I don't think people consider this a solution. It is a temporary workaround until this bug is fixed.

Niklas Park (niklas-park) wrote :

@Paddy Landau. You are, of course, absolutely right. But we really do need a real fix as soon as possible. I hope this thread can assist in that.

Niklas Park (niklas-park) wrote :

@everybody ..And I am grateful for the workaround tips, if I sounded whiny It was not my intention.

Niklas, understand your frustration, with you all the way.

I was getting essentially the same behaviour as you before I found the forums thread and the hardware accesssory workaround. Ie the first video worked, subsequent ones were red/magenta/yellow. The quick and nasty solution for me was just to flick up to the menu bar, hit tools, clear recent history, and then watch the next video.

That said, I've got noscript, request policy and better privacy on board, and at least one of those is integrated into the clear cookies menu (I think probably better privacy). That might make a difference. I'm not sure.

private_lock (private-lock) wrote :

The Firefox addon http://cookieculler.mozdev.org can automatically stop youtube from setting the PREF-cookie again. No need, to kill your browse history for every video.

Thanks for finding this workaround ... works really great!

frotz (frotz) wrote :

It looks like Youtube did something that put the colors back the right way. But now the latest flashplugin is very crashy. Downgrading again.

I found this fix and it seems to work.............JAY

Step 1. Right click on a flash content
(I went to this flash site http://moodstream.gettyimages.com/
and simply right clicked on the page)
Step 2. Choose the entry
"Settings..."
Step 3. Unclick entry "Enable
hardware acceleration"
Step 4. Click "Close"

--- On Sat, 3/19/11, frotz <dave@661.org> wrote:

From: frotz <dave@661.org>
Subject: [Bug 729307] Re: YouTube videos play red
To: <email address hidden>
Date: Saturday, March 19, 2011, 4:27 PM

It looks like Youtube did something that put the colors back the right
way.  But now the latest flashplugin is very crashy.  Downgrading again

Paddy Landau (paddy-landau) wrote :

@JAY: "It looks like Youtube did something that put the colors back the right way. But now the latest flashplugin is very crashy."

I get the same as you; but not everyone does. It seems a bit random, because some people still have the red.

I see a similar symptom on 11.04, but I don't know if it is exactly the same. Can somebody confirm that this problem affects both versions?

Paddy Landau (paddy-landau) wrote :

@Kasper Dupont: There seems to be a range. Some people on 11.04 report videos being blue, not red. Others (such as me) have no problems with the colour, but the latest stable version does not work at all.

Try using Flash Aid to install the Beta version to see whether or not it helps (it fixed it for me).
https://addons.mozilla.org/firefox/addon/flash-aid/

To clarify what I see it looks like the red and blue colour components have been swapped. What should be red in the videos appear in blue, what should be blue appear in read, what should be green does however appear in green.

I upgraded from 11.04 to 12.04, and the problem persists. This computer was able to play youtube videos without problems when it was still using the preinstalled Ubuntu 9.10. So the regression happened somewhere between 9.10 and 11.04.

I tried the suggested workaround of right clicking on the video and choosing disable hardware acceleration. That workaround does also work on 12.04. Another workaround that worked was to editing the URL by removing "watch?v=" and replacing it with "v/"

Paddy Landau (paddy-landau) wrote :

AFAIK, this bug has been fixed. Is anyone still getting the problem?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions